post
https://yourwebhook.com/dispatch/create_job
Purpose
Following a successful delivery validation, this event confirms the delivery job is assigned and will include the full details of the job
Request Parameters
See the full delivery job via the link below;
Request Example
{
"jobId": "60*****************2e",
"account": "5f*****************31",
"pickupTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"transportType": "unknown",
"driverTip": 500,
"pickupLocation": {
"location": "60*****************55",
"name": "The Pizza Place",
"remarks": "please use the backdoor for order pickup",
"street": "Steinway Street",
"streetNumber": "31",
"postalCode": "11103",
"city": "Astoria",
"latitude": "40.7644231",
"longitude": "-73.9235849"
},
"deliveryLocations": [
{
"orderId": "60*****************dd",
"channelOrderDisplayId": "MT4YVTPL",
"deliveryTime": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"packageSize": "medium",
"orderDescription": "",
"company": "",
"name": "John Doe",
"street": "31st Avenue",
"streetNumber": "12",
"postalCode": "11106",
"city": "Astoria",
"phone": "+1 (212) 555-0148",
"phoneAccessCode": "342241214",
"deliveryRemarks": "Don't ring door bell.",
"latitude": "40.7691234",
"longitude": "-73.9256789",
"payment": {
"orderIsAlreadyPaid": true,
"amount": 1100,
"paymentType": 0
}
}
],
"ageCheck": false
}Response Example
Below is an example of the expeted response from the Dispatch platform;
{
"jobId": "60*****************2e",
"canDeliver": true,
"pickupTimeETA": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"externalJobId": "DJ123456",
"distance": 4200,
"price": {
"price": 750,
"taxRate": 10000
},
"courier": {
"courierId": "D1234",
"firstName": "Delivery",
"lastName": "Rider",
"phoneNumber": "0032494112233",
"transportType": "bicycle"
},
"deliveryLocations": [
{
"deliveryId": "AB*****67",
"orderId": "60*****************dd",
"channelOrderDisplayId": "MT4YVTPL",
"deliveryTimeETA": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"deliveryRemarks": ""
}
]
}